# Makefile.in generated by automake 1.9.6 from Makefile.am.
# KDE tags expanded automatically by am_edit - $Revision: 298397 $ 
# @configure_input@

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@



srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
top_builddir = ..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = @INSTALL@
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = @build@
host_triplet = @host@
target_triplet = @target@
bin_PROGRAMS = kalarm$(EXEEXT)
subdir = kalarm
DIST_COMMON = README $(noinst_HEADERS) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in AUTHORS COPYING INSTALL
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/admin/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(autostartdir)" \
	"$(DESTDIR)$(rcdir)" "$(DESTDIR)$(xdg_appsdir)"
binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
PROGRAMS = $(bin_PROGRAMS)
am_kalarm_OBJECTS = birthdaydlg.$(OBJEXT) alarmevent.$(OBJEXT) \
	editdlg.$(OBJEXT) alarmcalendar.$(OBJEXT) \
	soundpicker.$(OBJEXT) daemon.$(OBJEXT) daemongui.$(OBJEXT) \
	main.$(OBJEXT) kalarmapp.$(OBJEXT) mainwindowbase.$(OBJEXT) \
	mainwindow.$(OBJEXT) messagewin.$(OBJEXT) \
	preferences.$(OBJEXT) prefdlg.$(OBJEXT) traywindow.$(OBJEXT) \
	dcophandler.$(OBJEXT) recurrenceedit.$(OBJEXT) \
	deferdlg.$(OBJEXT) functions.$(OBJEXT) fontcolour.$(OBJEXT) \
	fontcolourbutton.$(OBJEXT) alarmtimewidget.$(OBJEXT) \
	specialactions.$(OBJEXT) datetime.$(OBJEXT) reminder.$(OBJEXT) \
	synchtimer.$(OBJEXT) eventlistviewbase.$(OBJEXT) \
	alarmlistview.$(OBJEXT) kamail.$(OBJEXT) \
	timeselector.$(OBJEXT) templatelistview.$(OBJEXT) \
	templatepickdlg.$(OBJEXT) templatedlg.$(OBJEXT)
#>- kalarm_OBJECTS = $(am_kalarm_OBJECTS)
#>+ 17
kalarm_final_OBJECTS = kalarm.all_cpp.o 
kalarm_nofinal_OBJECTS = birthdaydlg.$(OBJEXT) alarmevent.$(OBJEXT) \
	editdlg.$(OBJEXT) alarmcalendar.$(OBJEXT) \
	soundpicker.$(OBJEXT) daemon.$(OBJEXT) daemongui.$(OBJEXT) \
	main.$(OBJEXT) kalarmapp.$(OBJEXT) mainwindowbase.$(OBJEXT) \
	mainwindow.$(OBJEXT) messagewin.$(OBJEXT) \
	preferences.$(OBJEXT) prefdlg.$(OBJEXT) traywindow.$(OBJEXT) \
	dcophandler.$(OBJEXT) recurrenceedit.$(OBJEXT) \
	deferdlg.$(OBJEXT) functions.$(OBJEXT) fontcolour.$(OBJEXT) \
	fontcolourbutton.$(OBJEXT) alarmtimewidget.$(OBJEXT) \
	specialactions.$(OBJEXT) datetime.$(OBJEXT) reminder.$(OBJEXT) \
	synchtimer.$(OBJEXT) eventlistviewbase.$(OBJEXT) \
	alarmlistview.$(OBJEXT) kamail.$(OBJEXT) \
	timeselector.$(OBJEXT) templatelistview.$(OBJEXT) \
	templatepickdlg.$(OBJEXT) templatedlg.$(OBJEXT) alarmguiiface_skel.$(OBJEXT)
@KDE_USE_FINAL_FALSE@kalarm_OBJECTS = $(kalarm_nofinal_OBJECTS)
@KDE_USE_FINAL_TRUE@kalarm_OBJECTS = $(kalarm_final_OBJECTS)
am__DEPENDENCIES_1 =
kalarm_DEPENDENCIES = $(top_builddir)/kalarm/widgets/libwidgets.la \
	$(top_builddir)/libkcal/libkcal.la \
	$(top_builddir)/libkdenetwork/libkdenetwork.la \
	$(top_builddir)/kalarmd/libkalarmd.la \
	$(top_builddir)/libkdepim/libkdepim.la $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1)
DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/admin/depcomp
am__depfiles_maybe = depfiles
#>- CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
#>- 	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
#>+ 2
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) $(KDE_CXXFLAGS)
#>- LTCXXCOMPILE = $(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) \
#>- 	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
#>- 	$(AM_CXXFLAGS) $(CXXFLAGS)
#>+ 3
LTCXXCOMPILE = $(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CXXFLAGS) $(CXXFLAGS) $(KDE_CXXFLAGS)
CXXLD = $(CXX)
#>- CXXLINK = $(LIBTOOL) --tag=CXX --mode=link $(CXXLD) $(AM_CXXFLAGS) \
#>- 	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
#>+ 2
CXXLINK = $(LIBTOOL) --tag=CXX --mode=link $(CXXLD) $(AM_CXXFLAGS) \
	$(CXXFLAGS) $(KDE_CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(kalarm_SOURCES)
DIST_SOURCES = $(kalarm_SOURCES)
#>- RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
#>- 	html-recursive info-recursive install-data-recursive \
#>- 	install-exec-recursive install-info-recursive \
#>- 	install-recursive installcheck-recursive installdirs-recursive \
#>- 	pdf-recursive ps-recursive uninstall-info-recursive \
#>- 	uninstall-recursive
#>+ 6
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-exec-recursive install-info-recursive \
	install-recursive installcheck-recursive installdirs-recursive \
	pdf-recursive ps-recursive uninstall-info-recursive \
	uninstall-recursive nmcheck-recursive bcheck-recursive
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
autostartDATA_INSTALL = $(INSTALL_DATA)
rcDATA_INSTALL = $(INSTALL_DATA)
xdg_appsDATA_INSTALL = $(INSTALL_DATA)
DATA = $(autostart_DATA) $(rc_DATA) $(xdg_apps_DATA)
HEADERS = $(noinst_HEADERS)
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = $(SUBDIRS)
#>- DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
#>+ 1
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST) $(KDE_DIST)
ACLOCAL = @ACLOCAL@
AMDEP_FALSE = @AMDEP_FALSE@
AMDEP_TRUE = @AMDEP_TRUE@
AMTAR = @AMTAR@
AR = @AR@
ARTSCCONFIG = @ARTSCCONFIG@
AUTOCONF = @AUTOCONF@
AUTODIRS = @AUTODIRS@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AWK = @AWK@
CC = @CC@
CCDEPMODE = @CCDEPMODE@
CFLAGS = @CFLAGS@
CONF_FILES = @CONF_FILES@
CPP = @CPP@
CPPFLAGS = @CPPFLAGS@
CXX = @CXX@
CXXCPP = @CXXCPP@
CXXDEPMODE = @CXXDEPMODE@
CXXFLAGS = @CXXFLAGS@
CYGPATH_W = @CYGPATH_W@
DCOPIDL = @DCOPIDL@
DCOPIDL2CPP = @DCOPIDL2CPP@
DCOPIDLNG = @DCOPIDLNG@
DCOP_DEPENDENCIES = @DCOP_DEPENDENCIES@
DEFS = @DEFS@
DEPDIR = @DEPDIR@
DOXYGEN = @DOXYGEN@
DOXYGEN_PROJECT_NAME = @DOXYGEN_PROJECT_NAME@
DOXYGEN_PROJECT_NUMBER = @DOXYGEN_PROJECT_NUMBER@
ECHO = @ECHO@
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
EGREP = @EGREP@
ENABLE_PERMISSIVE_FLAG = @ENABLE_PERMISSIVE_FLAG@
EXEEXT = @EXEEXT@
F77 = @F77@
FFLAGS = @FFLAGS@
FRAMEWORK_COREAUDIO = @FRAMEWORK_COREAUDIO@
GLIBC21 = @GLIBC21@
GMSGFMT = @GMSGFMT@
GPG = @GPG@
GPGME_CFLAGS = @GPGME_CFLAGS@
GPGME_CONFIG = @GPGME_CONFIG@
GPGME_LIBS = @GPGME_LIBS@
GPGME_LIBS_DEP = @GPGME_LIBS_DEP@
GPGSM = @GPGSM@
GPG_PATH = @GPG_PATH@
HAVE_BROKEN_TIMSIEVED = @HAVE_BROKEN_TIMSIEVED@
HAVE_GPGSM_FALSE = @HAVE_GPGSM_FALSE@
HAVE_GPGSM_TRUE = @HAVE_GPGSM_TRUE@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
KCFG_DEPENDENCIES = @KCFG_DEPENDENCIES@
KCONFIG_COMPILER = @KCONFIG_COMPILER@
KDECONFIG = @KDECONFIG@
KDE_EXTRA_RPATH = @KDE_EXTRA_RPATH@
KDE_HAS_DOXYGEN = @KDE_HAS_DOXYGEN@
KDE_HAVE_DOT = @KDE_HAVE_DOT@
KDE_INCLUDES = @KDE_INCLUDES@
KDE_LDFLAGS = @KDE_LDFLAGS@
KDE_MT_LDFLAGS = @KDE_MT_LDFLAGS@
KDE_MT_LIBS = @KDE_MT_LIBS@
KDE_NO_UNDEFINED = @KDE_NO_UNDEFINED@
KDE_PLUGIN = @KDE_PLUGIN@
KDE_RPATH = @KDE_RPATH@
KDE_USE_CLOSURE_FALSE = @KDE_USE_CLOSURE_FALSE@
KDE_USE_CLOSURE_TRUE = @KDE_USE_CLOSURE_TRUE@
KDE_USE_FINAL_FALSE = @KDE_USE_FINAL_FALSE@
KDE_USE_FINAL_TRUE = @KDE_USE_FINAL_TRUE@
KDE_USE_NMCHECK_FALSE = @KDE_USE_NMCHECK_FALSE@
KDE_USE_NMCHECK_TRUE = @KDE_USE_NMCHECK_TRUE@
KDE_XSL_STYLESHEET = @KDE_XSL_STYLESHEET@
KNEWSTUFF_LIB = @KNEWSTUFF_LIB@
KNEWSTUFF_SUBDIR = @KNEWSTUFF_SUBDIR@
LDAP_INCS = @LDAP_INCS@
LDAP_LIBS = @LDAP_LIBS@
LDAP_RPATH = @LDAP_RPATH@
LDFLAGS = @LDFLAGS@
LEX = @LEX@
LEXLIB = @LEXLIB@
LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
LIBCOMPAT = @LIBCOMPAT@
LIBCRYPT = @LIBCRYPT@
LIBDL = @LIBDL@
LIBJPEG = @LIBJPEG@
LIBOBJS = @LIBOBJS@
LIBPNG = @LIBPNG@
LIBPTHREAD = @LIBPTHREAD@
LIBRESOLV = @LIBRESOLV@
LIBS = @LIBS@
LIBSM = @LIBSM@
LIBSOCKET = @LIBSOCKET@
LIBSSL = @LIBSSL@
LIBTOOL = @LIBTOOL@
LIBUCB = @LIBUCB@
LIBUTIL = @LIBUTIL@
LIBXSS = @LIBXSS@
LIBZ = @LIBZ@
LIB_BLUETOOTH = @LIB_BLUETOOTH@
LIB_GNOKII = @LIB_GNOKII@
LIB_KAB = @LIB_KAB@
LIB_KABC = @LIB_KABC@
LIB_KDECORE = @LIB_KDECORE@
LIB_KDEPIM = @LIB_KDEPIM@
LIB_KDEPRINT = @LIB_KDEPRINT@
LIB_KDEUI = @LIB_KDEUI@
LIB_KFILE = @LIB_KFILE@
LIB_KFM = @LIB_KFM@
LIB_KHTML = @LIB_KHTML@
LIB_KIO = @LIB_KIO@
LIB_KPARTS = @LIB_KPARTS@
LIB_KSPELL = @LIB_KSPELL@
LIB_KSYCOCA = @LIB_KSYCOCA@
LIB_KUTILS = @LIB_KUTILS@
LIB_LBER = @LIB_LBER@
LIB_LOCKDEV = @LIB_LOCKDEV@
LIB_POLL = @LIB_POLL@
LIB_QPE = @LIB_QPE@
LIB_QT = @LIB_QT@
LIB_SMB = @LIB_SMB@
LIB_X11 = @LIB_X11@
LIB_XEXT = @LIB_XEXT@
LIB_XRENDER = @LIB_XRENDER@
LN_S = @LN_S@
LTLIBOBJS = @LTLIBOBJS@
MAKEINFO = @MAKEINFO@
MAL_INCLUDE = @MAL_INCLUDE@
MAL_LIB = @MAL_LIB@
MAL_RPATH = @MAL_RPATH@
MCOPIDL = @MCOPIDL@
MEINPROC = @MEINPROC@
MOC = @MOC@
MSGFMT = @MSGFMT@
NOOPT_CFLAGS = @NOOPT_CFLAGS@
NOOPT_CXXFLAGS = @NOOPT_CXXFLAGS@
OBJEXT = @OBJEXT@
PACKAGE = @PACKAGE@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_STRING = @PACKAGE_STRING@
PACKAGE_TARNAME = @PACKAGE_TARNAME@
PACKAGE_VERSION = @PACKAGE_VERSION@
PATH_SEPARATOR = @PATH_SEPARATOR@
PERL = @PERL@
PERL_CFLAGS = @PERL_CFLAGS@
PERL_LDFLAGS = @PERL_LDFLAGS@
PISOCK_INCLUDE = @PISOCK_INCLUDE@
PISOCK_LIB = @PISOCK_LIB@
QTDOCDIR = @QTDOCDIR@
QTE_NORTTI = @QTE_NORTTI@
QT_INCLUDES = @QT_INCLUDES@
QT_LDFLAGS = @QT_LDFLAGS@
RANLIB = @RANLIB@
RUN_GPG_TESTS_FALSE = @RUN_GPG_TESTS_FALSE@
RUN_GPG_TESTS_TRUE = @RUN_GPG_TESTS_TRUE@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
SSL_INCLUDES = @SSL_INCLUDES@
SSL_LDFLAGS = @SSL_LDFLAGS@
STRIP = @STRIP@
TOPSUBDIRS = @TOPSUBDIRS@
UIC = @UIC@
UIC_TR = @UIC_TR@
USER_INCLUDES = @USER_INCLUDES@
USER_LDFLAGS = @USER_LDFLAGS@
USE_EXCEPTIONS = @USE_EXCEPTIONS@
USE_RTTI = @USE_RTTI@
USE_THREADS = @USE_THREADS@
VERSION = @VERSION@
WOVERLOADED_VIRTUAL = @WOVERLOADED_VIRTUAL@
XGETTEXT = @XGETTEXT@
XMLLINT = @XMLLINT@
XPMINC = @XPMINC@
XPMLIB = @XPMLIB@
X_EXTRA_LIBS = @X_EXTRA_LIBS@
X_INCLUDES = @X_INCLUDES@
X_LDFLAGS = @X_LDFLAGS@
X_PRE_LIBS = @X_PRE_LIBS@
X_RPATH = @X_RPATH@
YACC = @YACC@
ac_ct_AR = @ac_ct_AR@
ac_ct_CC = @ac_ct_CC@
ac_ct_CXX = @ac_ct_CXX@
ac_ct_F77 = @ac_ct_F77@
ac_ct_RANLIB = @ac_ct_RANLIB@
ac_ct_STRIP = @ac_ct_STRIP@
all_includes = @all_includes@
all_libraries = @all_libraries@
am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
am__include = @am__include@
am__leading_dot = @am__leading_dot@
am__quote = @am__quote@
am__tar = @am__tar@
am__untar = @am__untar@
bindir = @bindir@
build = @build@
build_alias = @build_alias@
build_cpu = @build_cpu@
build_os = @build_os@
build_vendor = @build_vendor@
certmanager_SUBDIR_included_FALSE = @certmanager_SUBDIR_included_FALSE@
certmanager_SUBDIR_included_TRUE = @certmanager_SUBDIR_included_TRUE@
compile_GNOKIIXXPORT_FALSE = @compile_GNOKIIXXPORT_FALSE@
compile_GNOKIIXXPORT_TRUE = @compile_GNOKIIXXPORT_TRUE@
compile_chiasmus_FALSE = @compile_chiasmus_FALSE@
compile_chiasmus_TRUE = @compile_chiasmus_TRUE@
compile_kpilot_FALSE = @compile_kpilot_FALSE@
compile_kpilot_TRUE = @compile_kpilot_TRUE@
datadir = @datadir@
doc_SUBDIR_included_FALSE = @doc_SUBDIR_included_FALSE@
doc_SUBDIR_included_TRUE = @doc_SUBDIR_included_TRUE@
exec_prefix = @exec_prefix@
host = @host@
host_alias = @host_alias@
host_cpu = @host_cpu@
host_os = @host_os@
host_vendor = @host_vendor@
include_ARTS_FALSE = @include_ARTS_FALSE@
include_ARTS_TRUE = @include_ARTS_TRUE@
include_abc_FALSE = @include_abc_FALSE@
include_abc_TRUE = @include_abc_TRUE@
include_exchange_SUBDIR_FALSE = @include_exchange_SUBDIR_FALSE@
include_exchange_SUBDIR_TRUE = @include_exchange_SUBDIR_TRUE@
include_gnokii_device_FALSE = @include_gnokii_device_FALSE@
include_gnokii_device_TRUE = @include_gnokii_device_TRUE@
include_kioslave_ldap_FALSE = @include_kioslave_ldap_FALSE@
include_kioslave_ldap_TRUE = @include_kioslave_ldap_TRUE@
include_knewstuff_FALSE = @include_knewstuff_FALSE@
include_knewstuff_TRUE = @include_knewstuff_TRUE@
include_malconduit_FALSE = @include_malconduit_FALSE@
include_malconduit_TRUE = @include_malconduit_TRUE@
include_notepad_FALSE = @include_notepad_FALSE@
include_notepad_TRUE = @include_notepad_TRUE@
include_perl_FALSE = @include_perl_FALSE@
include_perl_TRUE = @include_perl_TRUE@
include_python_FALSE = @include_python_FALSE@
include_python_TRUE = @include_python_TRUE@
includedir = @includedir@
infodir = @infodir@
install_sh = @install_sh@
kabc_SUBDIR_included_FALSE = @kabc_SUBDIR_included_FALSE@
kabc_SUBDIR_included_TRUE = @kabc_SUBDIR_included_TRUE@
kaddressbook_SUBDIR_included_FALSE = @kaddressbook_SUBDIR_included_FALSE@
kaddressbook_SUBDIR_included_TRUE = @kaddressbook_SUBDIR_included_TRUE@
kalarm_SUBDIR_included_FALSE = @kalarm_SUBDIR_included_FALSE@
kalarm_SUBDIR_included_TRUE = @kalarm_SUBDIR_included_TRUE@
kalarmd_SUBDIR_included_FALSE = @kalarmd_SUBDIR_included_FALSE@
kalarmd_SUBDIR_included_TRUE = @kalarmd_SUBDIR_included_TRUE@
kandy_SUBDIR_included_FALSE = @kandy_SUBDIR_included_FALSE@
kandy_SUBDIR_included_TRUE = @kandy_SUBDIR_included_TRUE@
karm_SUBDIR_included_FALSE = @karm_SUBDIR_included_FALSE@
karm_SUBDIR_included_TRUE = @karm_SUBDIR_included_TRUE@
kde_appsdir = @kde_appsdir@
kde_bindir = @kde_bindir@
kde_confdir = @kde_confdir@
kde_datadir = @kde_datadir@
kde_htmldir = @kde_htmldir@
kde_icondir = @kde_icondir@
kde_includes = @kde_includes@
kde_kcfgdir = @kde_kcfgdir@
kde_libraries = @kde_libraries@
kde_libs_htmldir = @kde_libs_htmldir@
kde_libs_prefix = @kde_libs_prefix@
kde_locale = @kde_locale@
kde_mimedir = @kde_mimedir@
kde_moduledir = @kde_moduledir@
kde_qtver = @kde_qtver@
kde_servicesdir = @kde_servicesdir@
kde_servicetypesdir = @kde_servicetypesdir@
kde_sounddir = @kde_sounddir@
kde_styledir = @kde_styledir@
kde_templatesdir = @kde_templatesdir@
kde_wallpaperdir = @kde_wallpaperdir@
kde_widgetdir = @kde_widgetdir@
kdeinitdir = @kdeinitdir@
kdgantt_SUBDIR_included_FALSE = @kdgantt_SUBDIR_included_FALSE@
kdgantt_SUBDIR_included_TRUE = @kdgantt_SUBDIR_included_TRUE@
kfile_plugins_SUBDIR_included_FALSE = @kfile_plugins_SUBDIR_included_FALSE@
kfile_plugins_SUBDIR_included_TRUE = @kfile_plugins_SUBDIR_included_TRUE@
kgantt_SUBDIR_included_FALSE = @kgantt_SUBDIR_included_FALSE@
kgantt_SUBDIR_included_TRUE = @kgantt_SUBDIR_included_TRUE@
kioslaves_SUBDIR_included_FALSE = @kioslaves_SUBDIR_included_FALSE@
kioslaves_SUBDIR_included_TRUE = @kioslaves_SUBDIR_included_TRUE@
kitchensync_SUBDIR_included_FALSE = @kitchensync_SUBDIR_included_FALSE@
kitchensync_SUBDIR_included_TRUE = @kitchensync_SUBDIR_included_TRUE@
kmail_SUBDIR_included_FALSE = @kmail_SUBDIR_included_FALSE@
kmail_SUBDIR_included_TRUE = @kmail_SUBDIR_included_TRUE@
kmailcvt_SUBDIR_included_FALSE = @kmailcvt_SUBDIR_included_FALSE@
kmailcvt_SUBDIR_included_TRUE = @kmailcvt_SUBDIR_included_TRUE@
kmobile_SUBDIR_included_FALSE = @kmobile_SUBDIR_included_FALSE@
kmobile_SUBDIR_included_TRUE = @kmobile_SUBDIR_included_TRUE@
knode_SUBDIR_included_FALSE = @knode_SUBDIR_included_FALSE@
knode_SUBDIR_included_TRUE = @knode_SUBDIR_included_TRUE@
knotes_SUBDIR_included_FALSE = @knotes_SUBDIR_included_FALSE@
knotes_SUBDIR_included_TRUE = @knotes_SUBDIR_included_TRUE@
konsolekalendar_SUBDIR_included_FALSE = @konsolekalendar_SUBDIR_included_FALSE@
konsolekalendar_SUBDIR_included_TRUE = @konsolekalendar_SUBDIR_included_TRUE@
kontact_SUBDIR_included_FALSE = @kontact_SUBDIR_included_FALSE@
kontact_SUBDIR_included_TRUE = @kontact_SUBDIR_included_TRUE@
korganizer_SUBDIR_included_FALSE = @korganizer_SUBDIR_included_FALSE@
korganizer_SUBDIR_included_TRUE = @korganizer_SUBDIR_included_TRUE@
korn_SUBDIR_included_FALSE = @korn_SUBDIR_included_FALSE@
korn_SUBDIR_included_TRUE = @korn_SUBDIR_included_TRUE@
kpilot_SUBDIR_included_FALSE = @kpilot_SUBDIR_included_FALSE@
kpilot_SUBDIR_included_TRUE = @kpilot_SUBDIR_included_TRUE@
kresources_SUBDIR_included_FALSE = @kresources_SUBDIR_included_FALSE@
kresources_SUBDIR_included_TRUE = @kresources_SUBDIR_included_TRUE@
ksync_SUBDIR_included_FALSE = @ksync_SUBDIR_included_FALSE@
ksync_SUBDIR_included_TRUE = @ksync_SUBDIR_included_TRUE@
ktnef_SUBDIR_included_FALSE = @ktnef_SUBDIR_included_FALSE@
ktnef_SUBDIR_included_TRUE = @ktnef_SUBDIR_included_TRUE@
libdir = @libdir@
libexecdir = @libexecdir@
libical_SUBDIR_included_FALSE = @libical_SUBDIR_included_FALSE@
libical_SUBDIR_included_TRUE = @libical_SUBDIR_included_TRUE@
libkcal_SUBDIR_included_FALSE = @libkcal_SUBDIR_included_FALSE@
libkcal_SUBDIR_included_TRUE = @libkcal_SUBDIR_included_TRUE@
libkdenetwork_SUBDIR_included_FALSE = @libkdenetwork_SUBDIR_included_FALSE@
libkdenetwork_SUBDIR_included_TRUE = @libkdenetwork_SUBDIR_included_TRUE@
libkdepim_SUBDIR_included_FALSE = @libkdepim_SUBDIR_included_FALSE@
libkdepim_SUBDIR_included_TRUE = @libkdepim_SUBDIR_included_TRUE@
libkpimexchange_SUBDIR_included_FALSE = @libkpimexchange_SUBDIR_included_FALSE@
libkpimexchange_SUBDIR_included_TRUE = @libkpimexchange_SUBDIR_included_TRUE@
libkpimidentities_SUBDIR_included_FALSE = @libkpimidentities_SUBDIR_included_FALSE@
libkpimidentities_SUBDIR_included_TRUE = @libkpimidentities_SUBDIR_included_TRUE@
libksieve_SUBDIR_included_FALSE = @libksieve_SUBDIR_included_FALSE@
libksieve_SUBDIR_included_TRUE = @libksieve_SUBDIR_included_TRUE@
libpimldaptools_SUBDIR_included_FALSE = @libpimldaptools_SUBDIR_included_FALSE@
libpimldaptools_SUBDIR_included_TRUE = @libpimldaptools_SUBDIR_included_TRUE@
localstatedir = @localstatedir@
mandir = @mandir@
mimelib_SUBDIR_included_FALSE = @mimelib_SUBDIR_included_FALSE@
mimelib_SUBDIR_included_TRUE = @mimelib_SUBDIR_included_TRUE@
mkdir_p = @mkdir_p@
need_kde32_compatibility_FALSE = @need_kde32_compatibility_FALSE@
need_kde32_compatibility_TRUE = @need_kde32_compatibility_TRUE@
needs_gpgme_copy_FALSE = @needs_gpgme_copy_FALSE@
needs_gpgme_copy_TRUE = @needs_gpgme_copy_TRUE@
oldincludedir = @oldincludedir@
plugins_SUBDIR_included_FALSE = @plugins_SUBDIR_included_FALSE@
plugins_SUBDIR_included_TRUE = @plugins_SUBDIR_included_TRUE@
prefix = @prefix@
program_transform_name = @program_transform_name@
qt_includes = @qt_includes@
qt_libraries = @qt_libraries@
sbindir = @sbindir@
sharedstatedir = @sharedstatedir@
sysconfdir = @sysconfdir@
target = @target@
target_alias = @target_alias@
target_cpu = @target_cpu@
target_os = @target_os@
target_vendor = @target_vendor@
wizards_SUBDIR_included_FALSE = @wizards_SUBDIR_included_FALSE@
wizards_SUBDIR_included_TRUE = @wizards_SUBDIR_included_TRUE@
x_includes = @x_includes@
x_libraries = @x_libraries@
xdg_appsdir = @xdg_appsdir@
xdg_directorydir = @xdg_directorydir@
xdg_menudir = @xdg_menudir@
SUBDIRS = widgets pixmaps
INCLUDES = -I$(top_srcdir) -I$(top_srcdir)/kalarm \
	-I$(top_srcdir)/kalarm/widgets \
	-I$(top_builddir)/libical/src \
	-I$(top_srcdir)/libkdepim \
	-I$(top_srcdir)/libkdenetwork $(all_includes)

# Don't change the order of the kalarm_SOURCES files without first checking
# that it builds with --enable-final !!!
#>- kalarm_SOURCES = birthdaydlg.cpp alarmevent.cpp editdlg.cpp alarmcalendar.cpp \
#>- 	soundpicker.cpp daemon.cpp daemongui.cpp main.cpp kalarmapp.cpp \
#>-         mainwindowbase.cpp mainwindow.cpp messagewin.cpp \
#>- 	preferences.cpp prefdlg.cpp \
#>- 	traywindow.cpp dcophandler.cpp alarmguiiface.skel \
#>- 	recurrenceedit.cpp deferdlg.cpp functions.cpp \
#>- 	fontcolour.cpp fontcolourbutton.cpp alarmtimewidget.cpp \
#>- 	specialactions.cpp datetime.cpp reminder.cpp synchtimer.cpp \
#>- 	eventlistviewbase.cpp alarmlistview.cpp kamail.cpp timeselector.cpp \
#>- 	templatelistview.cpp templatepickdlg.cpp templatedlg.cpp
#>+ 10
kalarm_SOURCES=birthdaydlg.cpp alarmevent.cpp editdlg.cpp alarmcalendar.cpp \
	soundpicker.cpp daemon.cpp daemongui.cpp main.cpp kalarmapp.cpp \
        mainwindowbase.cpp mainwindow.cpp messagewin.cpp \
	preferences.cpp prefdlg.cpp \
	traywindow.cpp dcophandler.cpp  \
	recurrenceedit.cpp deferdlg.cpp functions.cpp \
	fontcolour.cpp fontcolourbutton.cpp alarmtimewidget.cpp \
	specialactions.cpp datetime.cpp reminder.cpp synchtimer.cpp \
	eventlistviewbase.cpp alarmlistview.cpp kamail.cpp timeselector.cpp \
	templatelistview.cpp templatepickdlg.cpp templatedlg.cpp alarmguiiface_skel.cpp

kalarm_LDFLAGS = $(all_libraries) $(KDE_RPATH)
@include_ARTS_TRUE@ARTSLIB = -lartskde
kalarm_LDADD = $(top_builddir)/kalarm/widgets/libwidgets.la \
	$(top_builddir)/libkcal/libkcal.la \
	$(top_builddir)/libkdenetwork/libkdenetwork.la \
	$(top_builddir)/kalarmd/libkalarmd.la \
	$(top_builddir)/libkdepim/libkdepim.la \
	-lkabc $(LIB_KDEUI) $(ARTSLIB)

noinst_HEADERS = alarmcalendar.h alarmevent.h alarmlistview.h alarmtimewidget.h \
	birthdaydlg.h daemon.h daemongui.h datetime.h dcophandler.h deferdlg.h \
	editdlg.h editdlgprivate.h eventlistviewbase.h fontcolour.h \
	fontcolourbutton.h functions.h kalarm.h kalarmapp.h kamail.h \
	mainwindow.h mainwindowbase.h messagewin.h prefdlg.h preferences.h \
	recurrenceedit.h recurrenceeditprivate.h reminder.h soundpicker.h \
	specialactions.h synchtimer.h templatedlg.h templatelistview.h \
	templatepickdlg.h timeselector.h traywindow.h

kalarm_COMPILE_FIRST = ../kalarmd/alarmdaemoniface_stub.h
#>- METASOURCES = AUTO
alarmguiiface_DIR = $(top_srcdir)/kalarmd
autostart_DATA = kalarm.tray.desktop
autostartdir = $(datadir)/autostart
xdg_apps_DATA = kalarm.desktop
KDE_ICON = AUTO
rcdir = $(kde_datadir)/kalarm
rc_DATA = kalarmui.rc
#>- all: all-recursive
#>+ 1
all: docs-am  all-recursive

.SUFFIXES:
.SUFFIXES: .cpp .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
#>- 	@for dep in $?; do \
#>- 	  case '$(am__configure_deps)' in \
#>- 	    *$$dep*) \
#>- 	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
#>- 		&& exit 0; \
#>- 	      exit 1;; \
#>- 	  esac; \
#>- 	done; \
#>- 	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  kalarm/Makefile'; \
#>- 	cd $(top_srcdir) && \
#>- 	  $(AUTOMAKE) --foreign  kalarm/Makefile
#>+ 12
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  kalarm/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  kalarm/Makefile
	cd $(top_srcdir) && perl admin/am_edit kalarm/Makefile.in
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	test -z "$(bindir)" || $(mkdir_p) "$(DESTDIR)$(bindir)"
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  if test -f $$p \
	     || test -f $$p1 \
	  ; then \
	    f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
	   echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) --mode=install $(binPROGRAMS_INSTALL) '$$p' '$(DESTDIR)$(bindir)/$$f'"; \
	   $(INSTALL_PROGRAM_ENV) $(LIBTOOL) --mode=install $(binPROGRAMS_INSTALL) "$$p" "$(DESTDIR)$(bindir)/$$f" || exit 1; \
	  else :; fi; \
	done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
	  echo " rm -f '$(DESTDIR)$(bindir)/$$f'"; \
	  rm -f "$(DESTDIR)$(bindir)/$$f"; \
	done

clean-binPROGRAMS:
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  echo " rm -f $$p $$f"; \
	  rm -f $$p $$f ; \
	done
kalarm$(EXEEXT): $(kalarm_OBJECTS) $(kalarm_DEPENDENCIES) 
	@rm -f kalarm$(EXEEXT)
	$(CXXLINK) $(kalarm_LDFLAGS) $(kalarm_OBJECTS) $(kalarm_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/alarmcalendar.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/alarmevent.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/alarmlistview.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/alarmtimewidget.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/birthdaydlg.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/daemon.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/daemongui.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/datetime.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dcophandler.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/deferdlg.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/editdlg.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/eventlistviewbase.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/fontcolour.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/fontcolourbutton.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/functions.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kalarmapp.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kamail.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/main.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mainwindow.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mainwindowbase.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/messagewin.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/prefdlg.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/preferences.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/recurrenceedit.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/reminder.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/soundpicker.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/specialactions.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/synchtimer.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/templatedlg.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/templatelistview.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/templatepickdlg.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/timeselector.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/traywindow.Po@am__quote@

.cpp.o:
@am__fastdepCXX_TRUE@	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ $<

.cpp.obj:
@am__fastdepCXX_TRUE@	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`

.cpp.lo:
@am__fastdepCXX_TRUE@	if $(LTCXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(LTCXXCOMPILE) -c -o $@ $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:
install-autostartDATA: $(autostart_DATA)
	@$(NORMAL_INSTALL)
	test -z "$(autostartdir)" || $(mkdir_p) "$(DESTDIR)$(autostartdir)"
	@list='$(autostart_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f=$(am__strip_dir) \
	  echo " $(autostartDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(autostartdir)/$$f'"; \
	  $(autostartDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(autostartdir)/$$f"; \
	done

uninstall-autostartDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(autostart_DATA)'; for p in $$list; do \
	  f=$(am__strip_dir) \
	  echo " rm -f '$(DESTDIR)$(autostartdir)/$$f'"; \
	  rm -f "$(DESTDIR)$(autostartdir)/$$f"; \
	done
install-rcDATA: $(rc_DATA)
	@$(NORMAL_INSTALL)
	test -z "$(rcdir)" || $(mkdir_p) "$(DESTDIR)$(rcdir)"
	@list='$(rc_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f=$(am__strip_dir) \
	  echo " $(rcDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(rcdir)/$$f'"; \
	  $(rcDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(rcdir)/$$f"; \
	done

uninstall-rcDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(rc_DATA)'; for p in $$list; do \
	  f=$(am__strip_dir) \
	  echo " rm -f '$(DESTDIR)$(rcdir)/$$f'"; \
	  rm -f "$(DESTDIR)$(rcdir)/$$f"; \
	done
install-xdg_appsDATA: $(xdg_apps_DATA)
	@$(NORMAL_INSTALL)
	test -z "$(xdg_appsdir)" || $(mkdir_p) "$(DESTDIR)$(xdg_appsdir)"
	@list='$(xdg_apps_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f=$(am__strip_dir) \
	  echo " $(xdg_appsDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(xdg_appsdir)/$$f'"; \
	  $(xdg_appsDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(xdg_appsdir)/$$f"; \
	done

uninstall-xdg_appsDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(xdg_apps_DATA)'; for p in $$list; do \
	  f=$(am__strip_dir) \
	  echo " rm -f '$(DESTDIR)$(xdg_appsdir)/$$f'"; \
	  rm -f "$(DESTDIR)$(xdg_appsdir)/$$f"; \
	done

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.
$(RECURSIVE_TARGETS):
	@failcom='exit 1'; \
	for f in x $$MAKEFLAGS; do \
	  case $$f in \
	    *=* | --[!k]*);; \
	    *k*) failcom='fail=yes';; \
	  esac; \
	done; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	  || eval $$failcom; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

mostlyclean-recursive clean-recursive distclean-recursive \
maintainer-clean-recursive:
	@failcom='exit 1'; \
	for f in x $$MAKEFLAGS; do \
	  case $$f in \
	    *=* | --[!k]*);; \
	    *k*) failcom='fail=yes';; \
	  esac; \
	done; \
	dot_seen=no; \
	case "$@" in \
	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
	  *) list='$(SUBDIRS)' ;; \
	esac; \
	rev=''; for subdir in $$list; do \
	  if test "$$subdir" = "."; then :; else \
	    rev="$$subdir $$rev"; \
	  fi; \
	done; \
	rev="$$rev ."; \
	target=`echo $@ | sed s/-recursive//`; \
	for subdir in $$rev; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	  || eval $$failcom; \
	done && test -z "$$fail"
tags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
	done
ctags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
	done

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
	  include_option=--etags-include; \
	  empty_fix=.; \
	else \
	  include_option=--include; \
	  empty_fix=; \
	fi; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test ! -f $$subdir/TAGS || \
	      tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
	  fi; \
	done; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	    $$tags $$unique; \
	fi
ctags: CTAGS
CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkdir_p) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
	list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test -d "$(distdir)/$$subdir" \
	    || $(mkdir_p) "$(distdir)/$$subdir" \
	    || exit 1; \
	    distdir=`$(am__cd) $(distdir) && pwd`; \
	    top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
	    (cd $$subdir && \
	      $(MAKE) $(AM_MAKEFLAGS) \
	        top_distdir="$$top_distdir" \
	        distdir="$$distdir/$$subdir" \
	        distdir) \
	      || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-recursive
all-am: Makefile $(PROGRAMS) $(DATA) $(HEADERS)
installdirs: installdirs-recursive
installdirs-am:
	for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(autostartdir)" "$(DESTDIR)$(rcdir)" "$(DESTDIR)$(xdg_appsdir)"; do \
	  test -z "$$dir" || $(mkdir_p) "$$dir"; \
	done
install: install-recursive
install-exec: install-exec-recursive
install-data: install-data-recursive
uninstall: uninstall-recursive

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-recursive
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
#>- clean: clean-recursive
#>+ 1
clean: kde-rpo-clean  clean-recursive

#>- clean-am: clean-binPROGRAMS clean-generic clean-libtool mostlyclean-am
#>+ 1
clean-am: clean-metasources clean-idl clean-bcheck clean-final  clean-binPROGRAMS clean-generic clean-libtool mostlyclean-am

distclean: distclean-recursive
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
distclean-am: clean-am distclean-compile distclean-generic \
	distclean-libtool distclean-tags

dvi: dvi-recursive

dvi-am:

html: html-recursive

info: info-recursive

info-am:

#>- install-data-am: install-autostartDATA install-data-local \
#>- 	install-rcDATA install-xdg_appsDATA
#>+ 2
install-data-am: install-kde-icons  install-autostartDATA install-data-local \
	install-rcDATA install-xdg_appsDATA

install-exec-am: install-binPROGRAMS

install-info: install-info-recursive

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-recursive
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-recursive

mostlyclean-am: mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool

pdf: pdf-recursive

pdf-am:

ps: ps-recursive

ps-am:

#>- uninstall-am: uninstall-autostartDATA uninstall-binPROGRAMS \
#>- 	uninstall-info-am uninstall-rcDATA uninstall-xdg_appsDATA
#>+ 2
uninstall-am: uninstall-kde-icons  uninstall-autostartDATA uninstall-binPROGRAMS \
	uninstall-info-am uninstall-rcDATA uninstall-xdg_appsDATA

uninstall-info: uninstall-info-recursive

.PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am check check-am \
	clean clean-binPROGRAMS clean-generic clean-libtool \
	clean-recursive ctags ctags-recursive distclean \
	distclean-compile distclean-generic distclean-libtool \
	distclean-recursive distclean-tags distdir dvi dvi-am html \
	html-am info info-am install install-am install-autostartDATA \
	install-binPROGRAMS install-data install-data-am \
	install-data-local install-exec install-exec-am install-info \
	install-info-am install-man install-rcDATA install-strip \
	install-xdg_appsDATA installcheck installcheck-am installdirs \
	installdirs-am maintainer-clean maintainer-clean-generic \
	maintainer-clean-recursive mostlyclean mostlyclean-compile \
	mostlyclean-generic mostlyclean-libtool mostlyclean-recursive \
	pdf pdf-am ps ps-am tags tags-recursive uninstall uninstall-am \
	uninstall-autostartDATA uninstall-binPROGRAMS \
	uninstall-info-am uninstall-rcDATA uninstall-xdg_appsDATA


install-data-local:
	$(mkinstalldirs) $(DESTDIR)$(kde_appsdir)/Applications
	$(INSTALL_DATA) $(srcdir)/uninstall.desktop $(DESTDIR)$(kde_appsdir)/Applications/kalarm.desktop

messages: rc.cpp
	$(XGETTEXT) *.h *.cpp widgets/*.h widgets/*.cpp -o $(podir)/kalarm.pot

#include ../admin/Doxyfile.am
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

#>+ 5
alarmguiiface.kidl: $(top_srcdir)/kalarmd/alarmguiiface.h $(DCOP_DEPENDENCIES)
	$(DCOPIDL) $(top_srcdir)/kalarmd/alarmguiiface.h > alarmguiiface.kidl || ( rm -f alarmguiiface.kidl ; false )
#>- alarmguiiface_skel.cpp: alarmguiiface.kidl
#>+ 1
alarmguiiface_skel.cpp: ../kalarmd/alarmdaemoniface_stub.h  alarmguiiface.kidl
	$(DCOPIDL2CPP) --c++-suffix cpp --no-signals --no-stub alarmguiiface.kidl

#>+ 3
specialactions.moc: $(srcdir)/specialactions.h
	$(MOC) $(srcdir)/specialactions.h -o specialactions.moc

#>+ 2
mocs: specialactions.moc

#>+ 3
fontcolour.moc: $(srcdir)/fontcolour.h
	$(MOC) $(srcdir)/fontcolour.h -o fontcolour.moc

#>+ 2
mocs: fontcolour.moc

#>+ 3
mainwindowbase.moc: $(srcdir)/mainwindowbase.h
	$(MOC) $(srcdir)/mainwindowbase.h -o mainwindowbase.moc

#>+ 2
mocs: mainwindowbase.moc

#>+ 3
birthdaydlg.moc: $(srcdir)/birthdaydlg.h
	$(MOC) $(srcdir)/birthdaydlg.h -o birthdaydlg.moc

#>+ 2
mocs: birthdaydlg.moc

#>+ 3
templatepickdlg.moc: $(srcdir)/templatepickdlg.h
	$(MOC) $(srcdir)/templatepickdlg.h -o templatepickdlg.moc

#>+ 2
mocs: templatepickdlg.moc

#>+ 3
recurrenceedit.moc: $(srcdir)/recurrenceedit.h
	$(MOC) $(srcdir)/recurrenceedit.h -o recurrenceedit.moc

#>+ 2
mocs: recurrenceedit.moc

#>+ 3
recurrenceeditprivate.moc: $(srcdir)/recurrenceeditprivate.h
	$(MOC) $(srcdir)/recurrenceeditprivate.h -o recurrenceeditprivate.moc

#>+ 2
mocs: recurrenceeditprivate.moc

#>+ 3
eventlistviewbase.moc: $(srcdir)/eventlistviewbase.h
	$(MOC) $(srcdir)/eventlistviewbase.h -o eventlistviewbase.moc

#>+ 2
mocs: eventlistviewbase.moc

#>+ 3
editdlgprivate.moc: $(srcdir)/editdlgprivate.h
	$(MOC) $(srcdir)/editdlgprivate.h -o editdlgprivate.moc

#>+ 2
mocs: editdlgprivate.moc

#>+ 3
prefdlg.moc: $(srcdir)/prefdlg.h
	$(MOC) $(srcdir)/prefdlg.h -o prefdlg.moc

#>+ 2
mocs: prefdlg.moc

#>+ 3
synchtimer.moc: $(srcdir)/synchtimer.h
	$(MOC) $(srcdir)/synchtimer.h -o synchtimer.moc

#>+ 2
mocs: synchtimer.moc

#>+ 3
deferdlg.moc: $(srcdir)/deferdlg.h
	$(MOC) $(srcdir)/deferdlg.h -o deferdlg.moc

#>+ 2
mocs: deferdlg.moc

#>+ 3
fontcolourbutton.moc: $(srcdir)/fontcolourbutton.h
	$(MOC) $(srcdir)/fontcolourbutton.h -o fontcolourbutton.moc

#>+ 2
mocs: fontcolourbutton.moc

#>+ 3
kalarmapp.moc: $(srcdir)/kalarmapp.h
	$(MOC) $(srcdir)/kalarmapp.h -o kalarmapp.moc

#>+ 2
mocs: kalarmapp.moc

#>+ 3
templatedlg.moc: $(srcdir)/templatedlg.h
	$(MOC) $(srcdir)/templatedlg.h -o templatedlg.moc

#>+ 2
mocs: templatedlg.moc

#>+ 3
daemon.moc: $(srcdir)/daemon.h
	$(MOC) $(srcdir)/daemon.h -o daemon.moc

#>+ 2
mocs: daemon.moc

#>+ 3
timeselector.moc: $(srcdir)/timeselector.h
	$(MOC) $(srcdir)/timeselector.h -o timeselector.moc

#>+ 2
mocs: timeselector.moc

#>+ 3
daemongui.moc: $(srcdir)/daemongui.h
	$(MOC) $(srcdir)/daemongui.h -o daemongui.moc

#>+ 2
mocs: daemongui.moc

#>+ 3
messagewin.moc: $(srcdir)/messagewin.h
	$(MOC) $(srcdir)/messagewin.h -o messagewin.moc

#>+ 2
mocs: messagewin.moc

#>+ 3
dcophandler.moc: $(srcdir)/dcophandler.h
	$(MOC) $(srcdir)/dcophandler.h -o dcophandler.moc

#>+ 2
mocs: dcophandler.moc

#>+ 3
reminder.moc: $(srcdir)/reminder.h
	$(MOC) $(srcdir)/reminder.h -o reminder.moc

#>+ 2
mocs: reminder.moc

#>+ 3
alarmcalendar.moc: $(srcdir)/alarmcalendar.h
	$(MOC) $(srcdir)/alarmcalendar.h -o alarmcalendar.moc

#>+ 2
mocs: alarmcalendar.moc

#>+ 3
traywindow.moc: $(srcdir)/traywindow.h
	$(MOC) $(srcdir)/traywindow.h -o traywindow.moc

#>+ 2
mocs: traywindow.moc

#>+ 3
mainwindow.moc: $(srcdir)/mainwindow.h
	$(MOC) $(srcdir)/mainwindow.h -o mainwindow.moc

#>+ 2
mocs: mainwindow.moc

#>+ 3
editdlg.moc: $(srcdir)/editdlg.h
	$(MOC) $(srcdir)/editdlg.h -o editdlg.moc

#>+ 2
mocs: editdlg.moc

#>+ 3
preferences.moc: $(srcdir)/preferences.h
	$(MOC) $(srcdir)/preferences.h -o preferences.moc

#>+ 2
mocs: preferences.moc

#>+ 3
alarmtimewidget.moc: $(srcdir)/alarmtimewidget.h
	$(MOC) $(srcdir)/alarmtimewidget.h -o alarmtimewidget.moc

#>+ 2
mocs: alarmtimewidget.moc

#>+ 3
soundpicker.moc: $(srcdir)/soundpicker.h
	$(MOC) $(srcdir)/soundpicker.h -o soundpicker.moc

#>+ 2
mocs: soundpicker.moc

#>+ 3
templatelistview.moc: $(srcdir)/templatelistview.h
	$(MOC) $(srcdir)/templatelistview.h -o templatelistview.moc

#>+ 2
mocs: templatelistview.moc

#>+ 3
clean-metasources:
	-rm -f  specialactions.moc fontcolour.moc mainwindowbase.moc birthdaydlg.moc templatepickdlg.moc recurrenceedit.moc recurrenceeditprivate.moc eventlistviewbase.moc editdlgprivate.moc prefdlg.moc synchtimer.moc deferdlg.moc fontcolourbutton.moc kalarmapp.moc templatedlg.moc daemon.moc timeselector.moc daemongui.moc messagewin.moc dcophandler.moc reminder.moc alarmcalendar.moc traywindow.moc mainwindow.moc editdlg.moc preferences.moc alarmtimewidget.moc soundpicker.moc templatelistview.moc

#>+ 2
KDE_DIST=cr32-app-kalarm.png Changelog kalarm.tray.desktop kalarmui.rc cr16-app-kalarm.png configure.in.in Makefile.in cr48-app-kalarm.png ACKNOWLEDGEMENTS uninstall.desktop kalarm.desktop Makefile.am 

#>+ 4
clean-idl:
	-rm -f \
	alarmguiiface_skel.cpp alarmguiiface_skel.h alarmguiiface.kidl 

#>+ 2
docs-am:

#>+ 13
install-kde-icons:
	$(mkinstalldirs) $(DESTDIR)$(kde_icondir)/crystalsvg/48x48/apps
	$(INSTALL_DATA) $(srcdir)/cr48-app-kalarm.png $(DESTDIR)$(kde_icondir)/crystalsvg/48x48/apps/kalarm.png
	$(mkinstalldirs) $(DESTDIR)$(kde_icondir)/crystalsvg/32x32/apps
	$(INSTALL_DATA) $(srcdir)/cr32-app-kalarm.png $(DESTDIR)$(kde_icondir)/crystalsvg/32x32/apps/kalarm.png
	$(mkinstalldirs) $(DESTDIR)$(kde_icondir)/crystalsvg/16x16/apps
	$(INSTALL_DATA) $(srcdir)/cr16-app-kalarm.png $(DESTDIR)$(kde_icondir)/crystalsvg/16x16/apps/kalarm.png

uninstall-kde-icons:
	-rm -f $(DESTDIR)$(kde_icondir)/crystalsvg/48x48/apps/kalarm.png
	-rm -f $(DESTDIR)$(kde_icondir)/crystalsvg/32x32/apps/kalarm.png
	-rm -f $(DESTDIR)$(kde_icondir)/crystalsvg/16x16/apps/kalarm.png

#>+ 15
force-reedit:
		@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  kalarm/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  kalarm/Makefile
	cd $(top_srcdir) && perl admin/am_edit kalarm/Makefile.in


#>+ 21
clean-bcheck: 
	rm -f *.bchecktest.cc *.bchecktest.cc.class a.out

bcheck: bcheck-recursive

bcheck-am:
	@for i in ; do \
	    if test $(srcdir)/$$i -nt $$i.bchecktest.cc; then \
	        echo "int main() {return 0;}" > $$i.bchecktest.cc ; \
	        echo "#include \"$$i\"" >> $$i.bchecktest.cc ; \
	        echo "$$i"; \
	        if ! $(CXXCOMPILE)  --dump-class-hierarchy -c $$i.bchecktest.cc; then \
	            rm -f $$i.bchecktest.cc; exit 1; \
	        fi ; \
	        echo "" >> $$i.bchecktest.cc.class; \
	        perl $(top_srcdir)/admin/bcheck.pl $$i.bchecktest.cc.class || { rm -f $$i.bchecktest.cc; exit 1; }; \
	        rm -f a.out; \
	    fi ; \
	done


#>+ 11
kalarm.all_cpp.cpp: $(srcdir)/Makefile.in $(srcdir)/birthdaydlg.cpp $(srcdir)/alarmevent.cpp $(srcdir)/editdlg.cpp $(srcdir)/alarmcalendar.cpp $(srcdir)/soundpicker.cpp $(srcdir)/daemon.cpp $(srcdir)/daemongui.cpp $(srcdir)/main.cpp $(srcdir)/kalarmapp.cpp $(srcdir)/mainwindowbase.cpp $(srcdir)/mainwindow.cpp $(srcdir)/messagewin.cpp $(srcdir)/preferences.cpp $(srcdir)/prefdlg.cpp $(srcdir)/traywindow.cpp $(srcdir)/dcophandler.cpp $(srcdir)/recurrenceedit.cpp $(srcdir)/deferdlg.cpp $(srcdir)/functions.cpp $(srcdir)/fontcolour.cpp $(srcdir)/fontcolourbutton.cpp $(srcdir)/alarmtimewidget.cpp $(srcdir)/specialactions.cpp $(srcdir)/datetime.cpp $(srcdir)/reminder.cpp $(srcdir)/synchtimer.cpp $(srcdir)/eventlistviewbase.cpp $(srcdir)/alarmlistview.cpp $(srcdir)/kamail.cpp $(srcdir)/timeselector.cpp $(srcdir)/templatelistview.cpp $(srcdir)/templatepickdlg.cpp $(srcdir)/templatedlg.cpp alarmguiiface_skel.cpp  mainwindowbase.moc fontcolour.moc specialactions.moc templatepickdlg.moc birthdaydlg.moc recurrenceeditprivate.moc recurrenceedit.moc eventlistviewbase.moc editdlgprivate.moc prefdlg.moc deferdlg.moc synchtimer.moc templatedlg.moc kalarmapp.moc fontcolourbutton.moc daemon.moc timeselector.moc daemongui.moc dcophandler.moc messagewin.moc alarmcalendar.moc reminder.moc traywindow.moc mainwindow.moc editdlg.moc templatelistview.moc soundpicker.moc alarmtimewidget.moc preferences.moc
	@echo 'creating kalarm.all_cpp.cpp ...'; \
	rm -f kalarm.all_cpp.files kalarm.all_cpp.final; \
	echo "#define KDE_USE_FINAL 1" >> kalarm.all_cpp.final; \
	for file in birthdaydlg.cpp alarmevent.cpp editdlg.cpp alarmcalendar.cpp soundpicker.cpp daemon.cpp daemongui.cpp main.cpp kalarmapp.cpp mainwindowbase.cpp mainwindow.cpp messagewin.cpp preferences.cpp prefdlg.cpp traywindow.cpp dcophandler.cpp recurrenceedit.cpp deferdlg.cpp functions.cpp fontcolour.cpp fontcolourbutton.cpp alarmtimewidget.cpp specialactions.cpp datetime.cpp reminder.cpp synchtimer.cpp eventlistviewbase.cpp alarmlistview.cpp kamail.cpp timeselector.cpp templatelistview.cpp templatepickdlg.cpp templatedlg.cpp alarmguiiface_skel.cpp ; do \
	  echo "#include \"$$file\"" >> kalarm.all_cpp.files; \
	  test ! -f $(srcdir)/$$file || egrep '^#pragma +implementation' $(srcdir)/$$file >> kalarm.all_cpp.final; \
	done; \
	cat kalarm.all_cpp.final kalarm.all_cpp.files > kalarm.all_cpp.cpp; \
	rm -f kalarm.all_cpp.final kalarm.all_cpp.files

#>+ 3
clean-final:
	-rm -f kalarm.all_cpp.cpp

#>+ 3
final:
	$(MAKE) kalarm_OBJECTS="$(kalarm_final_OBJECTS)" all-am

#>+ 3
final-install:
	$(MAKE) kalarm_OBJECTS="$(kalarm_final_OBJECTS)" install-am

#>+ 3
no-final:
	$(MAKE) kalarm_OBJECTS="$(kalarm_nofinal_OBJECTS)" all-am

#>+ 3
no-final-install:
	$(MAKE) kalarm_OBJECTS="$(kalarm_nofinal_OBJECTS)" install-am

#>+ 3
cvs-clean:
	$(MAKE) admindir=$(top_srcdir)/admin -f $(top_srcdir)/admin/Makefile.common cvs-clean

#>+ 3
kde-rpo-clean:
	-rm -f *.rpo

#>+ 90
$(srcdir)/eventlistviewbase.cpp: ../kalarmd/alarmdaemoniface_stub.h 
$(srcdir)/traywindow.cpp: ../kalarmd/alarmdaemoniface_stub.h 
$(srcdir)/functions.cpp: ../kalarmd/alarmdaemoniface_stub.h 
$(srcdir)/main.cpp: ../kalarmd/alarmdaemoniface_stub.h 
$(srcdir)/specialactions.cpp: ../kalarmd/alarmdaemoniface_stub.h 
birthdaydlg.o: birthdaydlg.moc 
$(srcdir)/deferdlg.cpp: ../kalarmd/alarmdaemoniface_stub.h 
specialactions.lo: specialactions.moc 
kalarmapp.lo: kalarmapp.moc 
nmcheck-am: nmcheck
recurrenceedit.lo: recurrenceedit.moc recurrenceeditprivate.moc 
$(srcdir)/templatepickdlg.cpp: ../kalarmd/alarmdaemoniface_stub.h 
fontcolourbutton.lo: fontcolourbutton.moc 
deferdlg.o: deferdlg.moc 
eventlistviewbase.lo: eventlistviewbase.moc 
$(srcdir)/dcophandler.cpp: ../kalarmd/alarmdaemoniface_stub.h 
$(srcdir)/synchtimer.cpp: ../kalarmd/alarmdaemoniface_stub.h 
$(srcdir)/recurrenceedit.cpp: ../kalarmd/alarmdaemoniface_stub.h 
$(srcdir)/datetime.cpp: ../kalarmd/alarmdaemoniface_stub.h 
daemongui.o: daemongui.moc 
recurrenceedit.o: recurrenceedit.moc recurrenceeditprivate.moc 
preferences.o: preferences.moc 
editdlg.lo: editdlgprivate.moc editdlg.moc 
preferences.lo: preferences.moc 
templatepickdlg.lo: templatepickdlg.moc 
traywindow.o: traywindow.moc 
prefdlg.lo: prefdlg.moc 
mainwindow.lo: mainwindow.moc 
alarmtimewidget.lo: alarmtimewidget.moc 
$(srcdir)/fontcolour.cpp: ../kalarmd/alarmdaemoniface_stub.h 
templatelistview.o: templatelistview.moc 
daemon.o: daemon.moc 
fontcolour.lo: fontcolour.moc 
$(srcdir)/soundpicker.cpp: ../kalarmd/alarmdaemoniface_stub.h 
timeselector.lo: timeselector.moc 
$(srcdir)/timeselector.cpp: ../kalarmd/alarmdaemoniface_stub.h 
$(srcdir)/fontcolourbutton.cpp: ../kalarmd/alarmdaemoniface_stub.h 
$(srcdir)/alarmevent.cpp: ../kalarmd/alarmdaemoniface_stub.h 
editdlg.o: editdlgprivate.moc editdlg.moc 
mainwindow.o: mainwindow.moc 
dcophandler.o: dcophandler.moc 
daemongui.lo: daemongui.moc 
templatedlg.o: templatedlg.moc 
soundpicker.lo: soundpicker.moc 
$(srcdir)/birthdaydlg.cpp: ../kalarmd/alarmdaemoniface_stub.h 
alarmcalendar.lo: alarmcalendar.moc 
messagewin.o: messagewin.moc 
specialactions.o: specialactions.moc 
mainwindowbase.lo: mainwindowbase.moc 
reminder.lo: reminder.moc 
birthdaydlg.lo: birthdaydlg.moc 
fontcolourbutton.o: fontcolourbutton.moc 
reminder.o: reminder.moc 
alarmtimewidget.o: alarmtimewidget.moc 
$(srcdir)/mainwindow.cpp: ../kalarmd/alarmdaemoniface_stub.h 
messagewin.lo: messagewin.moc 
dcophandler.lo: dcophandler.moc 
prefdlg.o: prefdlg.moc 
$(srcdir)/daemon.cpp: ../kalarmd/alarmdaemoniface_stub.h 
alarmcalendar.o: alarmcalendar.moc 
templatelistview.lo: templatelistview.moc 
timeselector.o: timeselector.moc 
soundpicker.o: soundpicker.moc 
$(srcdir)/mainwindowbase.cpp: ../kalarmd/alarmdaemoniface_stub.h 
mainwindowbase.o: mainwindowbase.moc 
$(srcdir)/templatelistview.cpp: ../kalarmd/alarmdaemoniface_stub.h 
$(srcdir)/preferences.cpp: ../kalarmd/alarmdaemoniface_stub.h 
$(srcdir)/alarmlistview.cpp: ../kalarmd/alarmdaemoniface_stub.h 
$(srcdir)/messagewin.cpp: ../kalarmd/alarmdaemoniface_stub.h 
$(srcdir)/kalarmapp.cpp: ../kalarmd/alarmdaemoniface_stub.h 
$(srcdir)/prefdlg.cpp: ../kalarmd/alarmdaemoniface_stub.h 
templatepickdlg.o: templatepickdlg.moc 
$(srcdir)/editdlg.cpp: ../kalarmd/alarmdaemoniface_stub.h 
$(srcdir)/kamail.cpp: ../kalarmd/alarmdaemoniface_stub.h 
synchtimer.lo: synchtimer.moc 
$(srcdir)/reminder.cpp: ../kalarmd/alarmdaemoniface_stub.h 
$(srcdir)/alarmtimewidget.cpp: ../kalarmd/alarmdaemoniface_stub.h 
daemon.lo: daemon.moc 
deferdlg.lo: deferdlg.moc 
nmcheck: 
kalarmapp.o: kalarmapp.moc 
$(srcdir)/daemongui.cpp: ../kalarmd/alarmdaemoniface_stub.h 
synchtimer.o: synchtimer.moc 
fontcolour.o: fontcolour.moc 
eventlistviewbase.o: eventlistviewbase.moc 
templatedlg.lo: templatedlg.moc 
traywindow.lo: traywindow.moc 
$(srcdir)/alarmcalendar.cpp: ../kalarmd/alarmdaemoniface_stub.h 
$(srcdir)/templatedlg.cpp: ../kalarmd/alarmdaemoniface_stub.h 
